curl --request POST \
--url https://stagingstores.xoxoday.com/chef/v1/oauth/api \
--header 'accept: application/json' \
--header 'authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--data '{
"query": "xoxo_link.mutation.campaignDetails",
"tag": "xoxo_link",
"variables": {
"data": {
"campaignId": 123
}
}
}'{
"data": {
"campaignDetails": {
"success": 1,
"data": [
{
"campaignId": 123,
"campaignName": "Summer Rewards",
"denomination_value": 10,
"currency_code": "USD",
"countryName": "USA",
"vouchers": [
{
"name": "Amazon Gift Card",
"image": "https://cdn.xoxoday.com/amazon.png"
},
{
"name": "Starbucks Gift Card",
"image": "https://cdn.xoxoday.com/starbucks.png"
}
]
}
]
}
}
}Fetch the products/vouchers included in a specific campaign by campaign ID.
Real URL: POST https://stagingstores.xoxoday.com/chef/v1/oauth/api
curl --request POST \
--url https://stagingstores.xoxoday.com/chef/v1/oauth/api \
--header 'accept: application/json' \
--header 'authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--data '{
"query": "xoxo_link.mutation.campaignDetails",
"tag": "xoxo_link",
"variables": {
"data": {
"campaignId": 123
}
}
}'{
"data": {
"campaignDetails": {
"success": 1,
"data": [
{
"campaignId": 123,
"campaignName": "Summer Rewards",
"denomination_value": 10,
"currency_code": "USD",
"countryName": "USA",
"vouchers": [
{
"name": "Amazon Gift Card",
"image": "https://cdn.xoxoday.com/amazon.png"
},
{
"name": "Starbucks Gift Card",
"image": "https://cdn.xoxoday.com/starbucks.png"
}
]
}
]
}
}
}Documentation Index
Fetch the complete documentation index at: https://help-plum.xoxoday.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorization: Bearer <access_token>
Always use xoxo_link.mutation.campaignDetails.
xoxo_link.mutation.campaignDetails Always use xoxo_link.
xoxo_link Show child attributes
Campaign details returned successfully.
Show child attributes